# QStatusBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QStatusBar(QWidget parent)

### Constructor Properties

- prototype: The QStatusBar prototype object

### Prototype Object Properties

The QStatusBar prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void addPermanentWidget(QWidget widget, int stretch)
- void addWidget(QWidget widget, int stretch)
- String currentMessage()
- int insertPermanentWidget(int index, QWidget widget, int stretch)
- int insertWidget(int index, QWidget widget, int stretch)
- void removeWidget(QWidget widget)

### Instance Properties

QStatusBar objects inherit properties from the QStatusBar prototype object and also have the following properties.

- sizeGripEnabled